### Signal

# RB SearchEntry::search

#### Declaration

    void
    search (
      RBSearchEntry* self,
      gchar* text,
      gpointer user_data
    )

#### Description [src]

Emitted when the search text changes. A signal handler must initiate a search on the current source.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`text`

  Type: `gchar*`

  Search text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.